Bug 205139 - Installation fails on an HP Proliant ML110 with a Fasttrack S150 SX4 sata controller
Summary: Installation fails on an HP Proliant ML110 with a Fasttrack S150 SX4 sata con...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.4
Hardware: i386 Linux
medium
high
Target Milestone: ---
: ---
Assignee: David Milburn
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-04 16:49 UTC by Eric Janz
Modified: 2009-08-31 20:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 20:58:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp folder generated during installation (375.27 KB, application/x-gzip)
2007-03-22 13:20 UTC, Eric Janz
no flags Details

Description Eric Janz 2006-09-04 16:49:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.8.0.5) Gecko/20060731 Ubuntu/dapper-security Firefox/1.5.0.5

Description of problem:
I'm trying to install Red Hat Linux Enterprise 4 Update 4 on an HP Proliant ML 110 with a Promise Fasttrack S150 SX4 raid controller card. The chipset is Ataraid5 PDC20621.

After insertion of the Disc 1 the installation starts and tries to detect the discs but fails after an considerable amount of time.

The drivers from the Promise website are not suitable for RHEL4 and HP also does not provide any valid driver.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Insert RHEL4 U4 Disc 1 for installation
2. Wait until the installer starts
3. No drives are detected and installation fails

Actual Results:
The installation says that no drives for installation were found and reboots.

Expected Results:
Hard drives should be detected and installation should go on.

Additional info:

Comment 1 David Cantrell 2007-03-15 20:09:53 UTC
This should be the sata_sx4 kernel driver, which is present in RHEL-4.  It's
either kudzu or kernel that's not giving us the right information.   We'll try
kudzu first.

Comment 2 Bill Nottingham 2007-03-16 00:23:12 UTC
Can you attach your install.log? 

Comment 3 Bill Nottingham 2007-03-16 00:28:58 UTC
Bumping to kernel for the moment - there's nothing specific about this driver
that  should cause kudzu to treat it any differently.

Comment 4 Eric Janz 2007-03-22 13:20:48 UTC
Created attachment 150658 [details]
/tmp folder generated during installation

Hi,

You requested the install.log. As I can not install the system there is no log
:-(. I packed the /tmp folder from the installation in which you can find the
syslog and the anaconda.log (and many other files). I did this just after the
installer tells me that there were no devices on which to install and before
accepting the dialog which reboots the system. Please let me know if this helps
or if I should do other tests or send you any additional files.

Regards,
Eric Janz

Comment 5 Peter Martuccelli 2007-03-22 13:36:56 UTC
Jeff do we support the Promise Fasttrack S150 SX4 raid controller?

Comment 6 Eric Janz 2007-08-16 16:29:52 UTC
Any news about this ?

Comment 7 David Milburn 2009-08-31 20:58:40 UTC
I have verified RHEL4 U8 can be installed to a disk connected to a Promise
FastTrak S150 SX4, closing this one out.


Note You need to log in before you can comment on or make changes to this bug.